Create a file type for Rent Manager
POST
https://api.propexo.com/v1/file-types/rentmanager/| Method |
|---|
| POST /UserDefinedFields |
| POST /UserDefinedValues |
| POST /Units/UserDefinedValues |
| POST /Contacts/UserDefinedValues |
| POST /LeaseRenewals/{id}/NonCommercialUserDefinedValues |
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
integration_idstringrequired
The Propexo unique identifier for the integration
location_idstringrequired
The Propexo unique identifier for the location
modelstringrequired
The Propexo data model (e.g. units, residents, applicants, etc.) for which you are attempting to upload a file
Show 3 enum values
unitsresidentspropertiesnamestringrequired
The name associated with the file type
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
integration_idstringrequired
The Propexo unique identifier for the integration
location_idstringrequired
The Propexo unique identifier for the location
modelstringrequired
The Propexo data model (e.g. units, residents, applicants, etc.) for which you are attempting to upload a file
Show 3 enum values
unitsresidentspropertiesnamestringrequired
The name associated with the file type
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/file-types/rentmanager/
curl -X POST https://api.propexo.com/v1/file-types/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"location_id": "string",
"model": "units",
"name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"location_id": "string",
"model": "units",
"name": "string"
}
}